How to Change the PHP Version on Linux/cPanel Hosting

By default, our Linux accounts makes use of PHP 5.2 as not all scripts are compatible with higher PHP versions, However, If you wish to use a php version other than the default one then this blog was made for you.

To change php version for your account, you have two options:

1) You can change it using your .htaccess file.
For this, please see http://blog.arvixe.com/how-to-use-php-5-3-on-linux-hosting/

Note: This can be done for just one domain or for the whole account.

2) You can change it using your cpanel’s PHP Selector which allows you to choose php version and the modules to use with it via a friendly interface.

Note: Changes will affect the whole account and NOT just one domain.

To enable PHP Selector, please do the following:

- Submit a ticket or send an email to support [at] arvixe [dot] com and request for php selector to be enabled for your account. Please provide the hosting account username and the last 4 characters of your billing password for verification purpose (It is the one you are using to log into https://www.arvixe.com/billing.php) So we can assist you as fast as it could be.

Warning: Once PHP Selector is enabled. You can NO longer use .htaccess file to change php version. Using it will result in errors for your websites.  Please make sure that your .htaccess files are clean so that everything can go smoothly without having issues.

Note: If you don’t have an account to submit a ticket. You can go to https://support.arvixe.com/index.php?/Base/UserRegistration/Register to register and then go to https://support.arvixe.com/ to submit your ticket.

- When you receive a response that your php selector has been enabled. Please log into your cpanel and look for “Select PHP version” which is listed under Software/Services category. Please see the following image:

PHP_Selector_Position

- Now click on it and you will see something like the following, where you can Select your PHP version (Red color) and select php modules.

PHP_Selector

- Select PHP version you want and select PHP modules you need (you just need to check the ones you want and uncheck others you don’t want). When done, please click on “OK”.

If you face any issues or need further assistance. Please do not hesitate to open a ticket and let us know. We, as always will be there for you (24/7).

Looking for quality web hosting? Look no further than Arvixe Web Hosting!

Tags: , , , , , , , , | Posted under cPanel/Linux Hosting | RSS 2.0

Leave a Reply

Your email address will not be published. Required fields are marked *


− 1 = 1

You may use these HTML tags and attributes: <a href="" title="" rel=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>